Skip to content

Confirm crypto payment

PUT
/api/v1/payments/crypto/confirm

Confirm a crypto payment transaction with GEN and return access tokens.

payment_id
required
Payment Id
string
transaction_hash
required
Transaction Hash
string

Successful Response

ConfirmCryptoResponse
object
access_tokens
Any of:
Array<string>
success_aura_purchase_count
Any of:
integer
pending_aura_purchase_count
Any of:
integer
credit_purchases
Any of:
Array<object>
CreditPurchase
object
id
required
Id
integer
amount
Any of:
number
price
Any of:
number
credit_type
Any of:
string
total_credits
Any of:
total_used_credits
Any of:
status
Any of:
string
payment_type
Any of:
string
payment_id
Any of:
created_at
Any of:
social_account
Any of:
SocialAccount
object
identifier
required
Identifier
string
agent_id
required
Agent Id
string
agent_name
required
Agent Name
string
organization_id
required
Organization Id
integer
credit_purchase
Any of:
CreditPurchase
object
id
required
Id
integer
amount
Any of:
number
price
Any of:
number
credit_type
Any of:
string
total_credits
Any of:
total_used_credits
Any of:
status
Any of:
string
payment_type
Any of:
string
payment_id
Any of:
created_at
Any of:
social_account
Any of:
SocialAccount
object
identifier
required
Identifier
string
agent_id
required
Agent Id
string
agent_name
required
Agent Name
string
organization_id
required
Organization Id
integer

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Payment confirmation failed

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Payment session not found",
"error_code": "payment_not_found"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string